%define realname   Algorithm-Evolutionary
%define version    0.64
%define release    %mkrel 1

Name:       perl-%{realname}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    N-point crossover
Source:     http://www.cpan.org/modules/by-module/Algorithm/%{realname}-%{version}.tar.gz
Url:        http://search.cpan.org/dist/%{realname}
BuildRequires: perl(Algorithm::Permute)
BuildRequires: perl(Bit::Vector)
BuildRequires: perl(Clone::Fast)
BuildRequires: perl(Math::Random)
BuildRequires: perl(Object::Array)
BuildRequires: perl(String::Random)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Tree::DAG_Node)
BuildRequires: perl(XML::Parser::Style::EasyTree)
BuildRequires: perl(YAML)
BuildRequires: perl(Statistics::Basic)
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
'Algorithm::Evolutionary' is a set of classes for doing object-oriented
evolutionary computation in Perl. Why would anyone want to do that escapes
my knowledge, but, in fact, we have found it quite useful for our own
purposes. Same as Perl itself.

The design principle of Algorithm::Evolutionary is _flexibility_: it should
be very easy to extend using this library, and it should be also quite easy
to program what's already there in the evolutionary computation community.
Besides, the library classes should have persistence provided by XML
modules, and, in some cases, YAML.

The algorithm allows to create simple evolutionary algorithms, as well as
more complex ones, that interface with databases or with the web. 

%prep
%setup -q -n %{realname}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/tide_bitstring.pl
%{_bindir}/tide_float.pl
%{_mandir}/man1/tide_bitstring.pl.1*
%{_mandir}/man1/tide_float.pl.1*





%changelog
* Thu Mar 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.64-1mdv2009.1
+ Revision: 357730
- new version

* Sun Mar 15 2009 Jérôme Quelin <jquelin@mandriva.org> 0.63-1mdv2009.1
+ Revision: 355238
- adding missing build requires
- import perl-Algorithm-Evolutionary


* Fri Feb 20 2009 cpan2dist 0.63-1mdv
- initial mdv release, generated with cpan2dist

